[SciPy-user] Problems building scipy from svn

Andres Gonzalez-Mancera gonzalezmancera+scipy@gmail....
Wed Jun 20 19:48:44 CDT 2007


I just had the exact same problem trying to install in a new Mac mini
Core Duo (32 bits) with numpy 1.0.3. Using numpy from svn fixed the
problem!

Andres

> Message: 1
> Date: Wed, 20 Jun 2007 01:17:09 +0200
> From: "Guillem Borrell Nogueras" <guillemborrell@gmail.com>
> Subject: Re: [SciPy-user] Problems building scipy from svn
> To: "SciPy Users List" <scipy-user@scipy.org>
> Message-ID:
>         <835da2a60706191617r417a444dp3a65f5052b395a7a@mail.gmail.com>
> Content-Type: text/plain; charset="utf-8"
>
> Thanks!
>
> It fixes the error in my 64 bit computer but my 32 bit one is still
> reluctant to build scipy.  I'll do a bit more research.
>
> On 6/19/07, David Cournapeau <david@ar.media.kyoto-u.ac.jp> wrote:
> >
> > Guillem Borrell Nogueras wrote:
> > > Hello
> > >
> > > I am trying to build scipy from source and I get this error message
> > >
> > >     building extension " scipy.fftpack._fftpack" sources
> > >       target build/src.linux-x86_64-2.5/_fftpackmodule.c does not exist:
> > >        Assuming _fftpackmodule.c was generated with "build_src
> > >     --inplace" command.
> > >     error: '_fftpackmodule.c' missing
> > >
> > >
> > > This happens for every module, if I disable the fftpack subpackage in
> > > Lib/setup.py I get this
> > >
> > >     building extension "scipy.integrate.vode" sources
> > >       target build/src.linux-x86_64-2.5/vodemodule.c does not exist:
> > >        Assuming vodemodule.c was generated with "build_src --inplace"
> > >     command.
> > >     error: ' vodemodule.c' missing
> > >
> > >
> > > I am able to  build every single subpackage.
> > >
> > >     [guillem@sisyphus scipy]$ cd Lib/fftpack/
> > >     [guillem@sisyphus fftpack]$ python setup.py build
> > >      (...)
> > >     ok
> > >
> > >
> > > I got the same message on two different computers and I can't find any
> > > misconfiguration.
> > >
> > > Any ideas?
> > >
> > I got the same problem on 64 bits arch with last released numpy. You
> > should update to numpy svn, and the problem is solved.
> >
> > David
> > _______________________________________________
> > SciPy-user mailing list
> > SciPy-user@scipy.org
> > http://projects.scipy.org/mailman/listinfo/scipy-user
> >

-- 
Andrés González Mancera, Ph.D.
Biofluid Mechanics Lab
Department of Mechanical Engineering
University of Maryland, Baltimore County
andres.gonzalez@umbc.edu
410-455-3347


More information about the SciPy-user mailing list